'use strict';

const repl = require('repl');
const {db, WikidotUser, WikidotPage, Branch} = require('../models');

module.exports = function runConsole() {
    const context = {
        db,
        WikidotUser,
        WikidotPage,
        Branch
    };
    const replServer = repl.start();
    replServer.context = Object.assign(replServer.context, context);
};
