'use strict';

exports.up = (knex) => {
    return knex.raw(`
        CREATE TABLE branches
        (
            name        text PRIMARY KEY,
            title       text,
            url         text,
            description text,
            language    text,
            interwiki   boolean DEFAULT false,
            pages_list  text []
        );
        CREATE UNIQUE INDEX branches_name_uindex
            ON branches (name)
    `);
};

exports.down = (knex) => {
    return knex.raw(`
        DROP TABLE branches;
    `);
};
