'use strict';

const {Branch} = require('../models');
const {logToDiscord} = require('../core/utils');

module.exports = async function run() {
    logToDiscord('Performing full import');
    const branches = await Branch.query();
    await Promise.all(branches.map(branch => branch.importPages()));
};
