'use strict';

const {reportError} = require('../core/utils');

module.exports = function executeTask(name, args) {
    require(`../tasks/${name}`).apply({}, args)
        .then(() => {
            process.nextTick(() => process.exit());
        })
        .catch(error => {
            reportError(error, {message: 'Unhandled task executer error'});
        });
};
